package com.youli.mybatis.bean;

import java.io.Serializable;

/**
* author: youli
* 2022-10-21 19:25:57
*/
public class Book implements Serializable{

	private static final long serialVersionUID = 1L;
	
	private Integer bookId;
	private String bookAuthor;
	private String bookName;
	private Double bookPrice;
	private String publisherName;
	
	public Book() {
		super();
	}

	public Book(Integer bookId, String bookAuthor, String bookName, Double bookPrice, String publisherName) {
		super();
		this.bookId = bookId;
		this.bookAuthor = bookAuthor;
		this.bookName = bookName;
		this.bookPrice = bookPrice;
		this.publisherName = publisherName;
	}

	public Integer getBookId() {
		return bookId;
	}

	public void setBookId(Integer bookId) {
		this.bookId = bookId;
	}

	public String getBookAuthor() {
		return bookAuthor;
	}

	public void setBookAuthor(String bookAuthor) {
		this.bookAuthor = bookAuthor;
	}

	public String getBookName() {
		return bookName;
	}

	public void setBookName(String bookName) {
		this.bookName = bookName;
	}

	public Double getBookPrice() {
		return bookPrice;
	}

	public void setBookPrice(Double bookPrice) {
		this.bookPrice = bookPrice;
	}

	public String getPublisherName() {
		return publisherName;
	}

	public void setPublisherName(String publisherName) {
		this.publisherName = publisherName;
	}

	@Override
	public String toString() {
		return "Book [bookId=" + bookId + ", bookAuthor=" + bookAuthor + ", bookName=" + bookName + ", bookPrice="
				+ bookPrice + ", publisherName=" + publisherName + "]";
	}
}
